DCMTK - Bug #1015

dcmqrscp does not fully check C-MOVE identifiers for validity
2022-02-09 10:28 - Jorg Riesmeier

Status: Closed Start date: 2022-02-09
Priority: High Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.7

Module: dcmardb Compiler:

Operating System:

Description

In "strict mode", i.e. when option --check-move (-XM) is set, the C-MOVE Request dataset should be checked for validity. However,
the Unique Keys only seem to be checked for their presence, but it is not checked whether their values are non-empty (see DICOM
PS3.4 Section C.2.2.1.1 and C.4.2.2.1). This can be tested with a call like this:

movescu localhost 9876 -S —--call COMMON -k 8,52=SERIES +P 1234 -v -k StudyInstanceUID= -k SeriesIn
stanceUID=

The original report was sent by Abdallah Maouche in the DCMTK forum: https://forum.dcmtk.org/viewtopic.php?f=18&t=5149

History

#1 - 2022-02-10 12:20 - JO6rg Riesmeier

- Description updated

#2 - 2022-02-10 16:03 - JO6rg Riesmeier

- Status changed from New to Closed

- Assignee set to Jorg Riesmeier

- Target version changed from 3.7.1+ to 3.6.7

- % Done changed from 0 to 100

Closed with commit ac79¢8821.
